## ubiquity-slideshow-neon 1+p24.04+vrelease+git20250610.0021

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vrelease+git20250610.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 10 Jun 2025 00:21:06 +0000

ubiquity-slideshow-neon (1) noble; urgency=medium

  * Initial package

 -- Jonathan Riddell <jr@jriddell.org>  Sat, 28 May 2016 21:03:04 +0100

## ubiquity-slideshow-neon 1+p24.04+vrelease+git20250717.0018

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vrelease+git20250717.0018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 17 Jul 2025 00:18:39 +0000

## ubiquity-slideshow-neon 1+p24.04+vrelease+git20251123.0941

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vrelease+git20251123.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:41:47 +0000

## ubiquity-slideshow-neon 1+p24.04+vrelease+git20251220.0041

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vrelease+git20251220.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 00:41:56 +0000

## ubiquity-slideshow-neon 1+p24.04+vrelease+git20260103.0041

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vrelease+git20260103.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:41:30 +0000

## ubiquity-slideshow-neon 1+p24.04+vstable+git20251231.0517

=== CMakeLists.txt ===
project(ubiqity-slideshow-neon)

cmake_minimum_required(VERSION 3.0)

find_package(ECM 5.0)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

find_package(Qt5 5.12 REQUIRED COMPONENTS Core Qml)
find_package(KF5 5.57 REQUIRED COMPONENTS I18n Declarative)

function(LANGUAGE_FROM_PO VAR pofile)
    get_filename_component(_lang ${pofile} DIRECTORY)
    get_filename_component(_lang ${_lang} NAME)
    set(${VAR} ${_lang} PARENT_SCOPE)
endfunction()

function(TRANSLATE_HTML_POFILE pofile)
    set(translated_files)

    language_from_po(language ${pofile})

    foreach(master_slide ${master_slides})
        get_filename_component(htmlname ${master_slide} NAME)
        set(translated_file ${CMAKE_CURRENT_BINARY_DIR}/l10n/${language}/${htmlname})
        add_custom_command(
            OUTPUT ${translated_file}
            COMMAND po4a-translate
                --format xhtml
                --master ${master_slide}
                --po ${pofile}
                --localized ${translated_file}
                --keep 0 # Generate the translation regardless of completion. Otherwise we'd be missing files.
            WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
            DEPENDS ${pofile} ${master_slide})
        install(FILES ${translated_file} DESTINATION /usr/share/ubiquity-slideshow/slides/l10n/${language}/)
        list(APPEND translated_files ${translated_file})
    endforeach()

    # Sanitize ca@valencia style languages to be usable as targets names.
    string(REPLACE "@" "-" safe_language ${language})
    add_custom_target(translated-html-${safe_language} ALL DEPENDS ${translated_files})
    add_dependencies(translated-html translated-html-${safe_language})
endfunction()

function(TRANSLATE_HTML)
    file(GLOB master_slides ubiquity-slideshow/slides/*.html)
    file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/l10n)

    add_custom_target(translated-html ALL)
    file(GLOB_RECURSE pofiles po/*.po)
    foreach(pofile ${pofiles})
        translate_html_pofile(${pofile})
    endforeach()
endfunction()

TRANSLATE_HTML()

add_custom_target(directory.jsonp ALL
    DEPENDS translated-html
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/build-directory-jsonp.py ${CMAKE_CURRENT_BINARY_DIR}/l10n > ${CMAKE_CURRENT_BINARY_DIR}/directory.jsonp)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/directory.jsonp DESTINATION /usr/share/ubiquity-slideshow/slides/)

install(DIRECTORY ubiquity-slideshow DESTINATION /usr/share)

add_subdirectory(calamares-qml-plugin)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

file(GLOB QML_SRCS ubiquity-slideshow/slides/*.qml)
add_custom_target(QmlFiles ALL echo SOURCES ${QML_SRCS})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== calamares-qml-plugin/CMakeLists.txt ===
add_library(contextplugin SHARED plugin.cpp)
target_link_libraries(contextplugin
    Qt5::Qml
    KF5::Declarative
    KF5::I18n
)

install(TARGETS contextplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/neon/calamares/slideshow/context)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/neon/calamares/slideshow/context)

## ubiquity-slideshow-neon 1+p24.04+vrelease+git20260126.1513

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vrelease+git20260126.1513-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 15:13:31 +0000

=== debian/control ===
Source: ubiquity-slideshow-neon
Section: kde
Priority: optional
Build-Depends: debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               pkg-kde-tools-neon,
               po4a,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: http://packaging.neon.kde.org/cgit/neon/ubiquity-slideshow.git/
Vcs-Git: https://invent.kde.org/neon/neon/ubiquity-slideshow.git
Vcs-Browser: https://invent.kde.org/neon/neon/ubiquity-slideshow
Maintainer: Neon CI <neon@kde.org>

Package: ubiquity-slideshow-neon
Architecture: any
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow, ubiquity-slideshow-kubuntu
Replaces: ubiquity-slideshow, ubiquity-slideshow-kubuntu
Depends: kf6-kirigami, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Description: Ubiquity slideshow for KDE neon
 A slideshow intended for the Ubiquity installer.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf6

## ubiquity-slideshow-neon 1+p24.04+vstable+git20250717.0331

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vstable+git20250717.0331-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 17 Jul 2025 03:31:26 +0000

=== debian/control ===
Source: ubiquity-slideshow-neon
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               libkf5declarative-dev,
               libkf5i18n-dev,
               pkg-kde-tools,
               po4a,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: http://packaging.neon.kde.org/cgit/neon/ubiquity-slideshow.git/
Vcs-Git: https://invent.kde.org/neon/neon/ubiquity-slideshow.git
Vcs-Browser: https://invent.kde.org/neon/neon/ubiquity-slideshow
Maintainer: Neon CI <neon@kde.org>

Package: ubiquity-slideshow-neon
Architecture: any
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow, ubiquity-slideshow-kubuntu
Replaces: ubiquity-slideshow, ubiquity-slideshow-kubuntu
Depends: qml-module-org-kde-kirigami2,
         qml-module-qtquick-xmllistmodel,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ubiquity slideshow for KDE neon
 A slideshow intended for the Ubiquity installer.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kf5

clean_po:
	rm -rf po
	rm -rf releaseme
	rm -rf potmp

po:
	mkdir potmp
	cp -rv * potmp || true # recursive copy, ignore errors
	git clone --depth 1 https://invent.kde.org/sdk/releaseme.git
	ruby debian/fetch_po.rb
	mv -v potmp/po . || true # ignore if no pos are there (for now we have none)
	rm -rf releaseme
	rm -rf potmp

override_dh_auto_clean: po

.PHONY: clean_po

## ubiquity-slideshow-neon 1+p24.04+vstable+git20251224.0016

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vstable+git20251224.0016-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 00:16:07 +0000

## ubiquity-slideshow-neon 1+p24.04+vstable+git20251231.0517

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vstable+git20251231.0517-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:17:30 +0000

## ubiquity-slideshow-neon 1+p24.04+vstable+git20260126.1511

=== calamares-qml-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,7 @@
 add_library(contextplugin SHARED plugin.cpp)
 target_link_libraries(contextplugin
-    Qt5::Qml
-    KF5::Declarative
-    KF5::I18n
+    Qt6::Qml
+    KF6::I18n
 )
 
 install(TARGETS contextplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/neon/calamares/slideshow/context)

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vstable+git20260126.1511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 15:11:15 +0000

## ubiquity-slideshow-neon 1+p24.04+vunstable+git20250718.1156

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vunstable+git20250718.1156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 18 Jul 2025 11:56:58 +0000

## ubiquity-slideshow-neon 1+p24.04+vunstable+git20251124.1014

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vunstable+git20251124.1014-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 10:14:45 +0000

## ubiquity-slideshow-neon 1+p24.04+vunstable+git20260126.1434

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,10 @@
 
 cmake_minimum_required(VERSION 3.0)
 
-find_package(ECM 5.0)
+set (QT_MIN_VERSION "6.7.0")
+set (KF_MIN_VERSION "5.240.0")
+
+find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_PATH})
 
@@ -11,8 +14,8 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 
-find_package(Qt5 5.12 REQUIRED COMPONENTS Core Qml)
-find_package(KF5 5.57 REQUIRED COMPONENTS I18n Declarative)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Qml)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative)
 
 function(LANGUAGE_FROM_PO VAR pofile)
     get_filename_component(_lang ${pofile} DIRECTORY)

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vunstable+git20260126.1434-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 14:34:39 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kf6

## ubiquity-slideshow-neon 1+p24.04+vunstable+git20260126.1510

=== debian/changelog ===
ubiquity-slideshow-neon (1+p24.04+vunstable+git20260126.1510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 15:10:14 +0000
